Ubuntu

Add comapt-wireless v3.6 stack to Quantal LBM

Reported by James M. Leddy on 2012-10-16
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux-backports-modules-3.2.0 (Ubuntu)
Medium
Leann Ogasawara
Quantal
Medium
Leann Ogasawara
linux-meta (Ubuntu)
Medium
Leann Ogasawara
Quantal
Medium
Leann Ogasawara

Bug Description

== Quantal SRU Justification ==
We have been providing newer compat-wireless stacks in previous releases via LBM. It has been requested to do the same for Quantal. Now that v3.6 is available, provide the newer v3.6 compat-wireless stack via linux-backports-modules-3.5.0

Additionally, we have been providing the alx driver in previous Precise LBM compat-wireless stacks. alx has still not made it upstream yet. Continuing to provide this driver via the Quantal LBM v3.6 compat-wireless stack will enable users to continue to use the alx driver.

== Impact ==
There should be no risk of regression since this is a purely elective install. This has been build and install tested.

== Fix ==
There are two pull requests for this. The first pull request officially opens the ubuntu-quantal-lbm repo, removes obsolete code, and then adds the compat-wireless v3.6 stack. I'd note that the patch opening the repo for Quantal assumes this would be uploaded with the first Quantal kernel SRU, ie the 3.5.0-18 kernel. We'll also need help from one of our resident core-devs to get this uploaded the first time. Afterwards we can request the linux-backports-modules-3.5.0 package to be added to our list of kernel package upload rights. The second pull request adds the corresponding linux-meta package entries and again takes into account the ABI bump for the first Quantal SRU.

The following changes since commit c8ade0570a486cf08816cba93312996221190592:

  UBUNTU: Ubuntu-3.2.0-32.17 (2012-09-25 10:40:44 +0100)

are available in the git repository at:

  git://kernel.ubuntu.com/ogasawara/ubuntu-quantal-lbm.git lp1067543

for you to fetch changes up to 224413c2618260c3c8fd57d944ada09bbc05dad2:

  UBUNTU: Add compat-wireless-3.6 (2012-10-17 11:11:24 -0700)

----------------------------------------------------------------
Leann Ogasawara (4):
      UBUNTU: Open Quantal LBM
      UBUNTU: Remove cw-3.3
      UBUNTU: Remove ixgbe-3.8.21
      UBUNTU: Add compat-wireless-3.6

The following changes since commit 64e6524d953d03ee7cf74743f564e6948861ddfa:

  UBUNTU: Ubuntu-3.5.0.17.19 (2012-10-09 15:10:57 +0100)

are available in the git repository at:

  git://kernel.ubuntu.com/ogasawara/ubuntu-quantal-meta.git lp1067543

for you to fetch changes up to e8f84f837d7b38adc833fddb1fc75af7c1c0780d:

  UBUNTU: Add LBM meta package for Quantal (2012-10-17 08:40:20 -0700)

----------------------------------------------------------------
Leann Ogasawara (3):
      UBUNTU: Start new release
      UBUNTU: Bump ABI
      UBUNTU: Add LBM meta package for Quantal

Brad Figg (brad-figg) on 2012-10-16
affects: linux-meta (Ubuntu) → linux (Ubuntu)

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1067543

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: quantal
Changed in linux (Ubuntu):
importance: Undecided → Medium
Changed in linux-backports-modules-3.2.0 (Ubuntu Quantal):
importance: Undecided → Medium
status: New → Triaged
Changed in linux (Ubuntu Quantal):
status: Incomplete → Triaged
tags: added: bot-stop-nagging
Changed in linux-backports-modules-3.2.0 (Ubuntu Quantal):
assignee: nobody → Leann Ogasawara (leannogasawara)
status: Triaged → In Progress
affects: linux (Ubuntu Quantal) → linux-meta (Ubuntu Quantal)
Changed in linux-meta (Ubuntu Quantal):
assignee: nobody → Leann Ogasawara (leannogasawara)
status: Triaged → In Progress
description: updated
description: updated
description: updated
htrex (hantarex) wrote :

I'm not sure this bug refers to the same problem I'm seeing.

Precise received 3.5 kernel from Quantal, but linux-backports-modules-cw-3.x-3.5 in precise-backports repositories seem to be missing, there are CW backports for 3.2 kernel ranging from 3.3 up to 3.8, but nothing for the 3.5 series kernel.

I've a laptop (HP 650) which needs at least 3.6 cw to get wi-fi working, had to manually download and install a CW 3.6-3.5 .deb package from Quantal repositories, it works fine but a manual download and install is needed at every kernel update.

Is this bug refering to this problem?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers